<?php
/*
Plugin Name: GC Message Bar
Version: 1.2.2
Plugin URI: http://getconversion.net
Description: GC Message Bar is a lite plugin that allows you to place a sticky message and a Call To Action button to the top or bottom of your website
Author: GetConversion
Author URI: http://getconversion.net
License: GPL2
*/

/*  Copyright 2013  eRise Hungary Ltd.  (email : info@getconversion.net)

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License, version 2, as 
    published by the Free Software Foundation.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/

function get_message_bar_version() {
    $plugin_folder = get_plugins( '/' . plugin_basename( dirname( __FILE__ ) ) );
    $plugin_file = basename( ( __FILE__ ) );
    return $plugin_folder[$plugin_file]['Version'];
}

require_once( plugin_dir_path( __FILE__ ) . 'default.php');
require_once( plugin_dir_path( __FILE__ ) . 'init-gc.php');
require_once( plugin_dir_path( __FILE__ ) . 'init-options.php');


require_once( plugin_dir_path( __FILE__ ) . 'src'.DIRECTORY_SEPARATOR.'class-gc-message-bar-controller.php');
require_once( plugin_dir_path( __FILE__ ) . 'src'.DIRECTORY_SEPARATOR.'class-gc-message-bar-content-renderer.php');
require_once( plugin_dir_path( __FILE__ ) . 'src'.DIRECTORY_SEPARATOR.'class-gc-message-bar-renderer.php');
require_once( plugin_dir_path( __FILE__ ) . 'src'.DIRECTORY_SEPARATOR.'class-gc-message-bar-admin-controller.php');
require_once( plugin_dir_path( __FILE__ ) . 'src'.DIRECTORY_SEPARATOR.'class-gc-message-bar-admin-renderer.php');

$p = GCCF::create("Plugin");

$p->add_admin_controller(new Gc_Message_Bar_Admin_Controller($gc_message_bar_namespace))
       ->add_controller(new Gc_Message_Bar_Controller($gc_message_bar_namespace))
       ->run();